£1,179.41– £1,440.99
Compare 3 prices
TP-Link · Network Switch
TP-Link JetStream 24-Port SFP L2+ Managed Switch with 4 10GE SFP+ Slots price in United Kingdom
Model TL-SG3428XFMPN TL-SG3428XFMPN SG3428XFMPN SG3428XF(UN)EAN 4897098688212EAN 840030708213
- Type1U
- ColourBlack
- Switch typeManaged
- Basic switching RJ-45 Ethernet ports quantity0
Lowest price incl. delivery
£451.38
at PCHUB.UKFree deliveryIn stock
- 3 stores
- Range £451.38 – £493.99
- Save up to £42.61 vs. the dearest store
- 3 in stock
- 2 with free delivery
- Checked 6 Oct 2026, 05:40 UTC
Ad · prices and stock as last reported by the store; the store's checkout is what counts.
Prices in United Kingdom
3 stores · prices in GBP · updated 6 Oct 2026, 05:40 UTC
Save up to £42.61 (9%) by choosing the cheapest store
- 3 of 3 stores in stock
- 2 with free shipping
- Checked 6 Oct 2026, 05:40 UTC
- PCHUB.UKLowest priceTP-Link Omada 24-Port SFP L2+ Managed Switch with 4 10GE SFP+ Slots In stockFree shipping£451.38incl. free shippingGo to store : PCHUB.UK (opens in a new tab)
- Back to the OfficeTP-Link Omada 24-Port SFP L2+ Managed Switch with 4 10GE SFP+ Slots In stockFree shipping£493.99incl. free shipping+£42.61 (9%) vs lowestGo to store : Back to the Office (opens in a new tab)
- PcNova.co.ukTP-Link Omada 24-Port SFP L2+ Managed Switch with 4 10GE SFP+ Slots In stockShipping not stated£451.38item price, shipping extraGo to store : PcNova.co.uk (opens in a new tab)
No store matches these filters.
Ad: we may earn a commission when you buy through these links; it never changes the order, which is by total price only. Prices and stock are shown as each store states them, as of 6 Oct 2026, 05:40 UTC, and can change at any time. Taxes are included only where the store includes them.
Price history in United Kingdom
Price history is being collected. After 14 days of prices we will show whether today's price is good.
Product details
Identification
- Brand
- TP-Link
- Product
- JetStream 24-Port SFP L2+ Managed Switch with 4 10GE SFP+ Slots
- Full name
- TP-Link JetStream 24-Port SFP L2+ Managed Switch with 4 10GE SFP+ Slots
- Manufacturer part number
- TL-SG3428XF, SG3428XF, SG3428XF(UN)
- EAN / UPC
- 4897098688212, 840030708213, 4897098688229
- Category
- Network Switch
89 specifications from the manufacturer's data sheet
Management features
| Switch type | Managed |
|---|---|
| Switch layer | L2+ |
| Quality of Service (QoS) support | Yes |
| Cloud-managed | Yes |
| Web-based management | Yes |
| ARP inspection | Yes |
| Configuring Location Settings (CLI) | Yes |
| System event log | Yes |
| MIB support | RFC1213, RFC2233, RFC1643, RFC1493, RFC2674, RFC2819, RFC2021, RFC2620, RFC2618, RFC2925 |
Ports & interfaces
| Basic switching RJ-45 Ethernet ports quantity | 0 |
|---|---|
| Basic switching RJ-45 Ethernet ports type | No |
| Combo SFP ports quantity | 4 |
| SFP+ module slots quantity | 4 |
| Fiber ports quantity | 20 |
| Fiber optic connector | SFP, SFP+ |
| Console port | RJ-45/Micro-USB |
| Power connector | AC-in jack |
Network
| Networking standards | IEEE 802.11d, IEEE 802.1Q, IEEE 802.1ab, IEEE 802.1s, IEEE 802.1w, IEEE 802.3ab, IEEE 802.3ae, IEEE 802.3i, IEEE 802.3u, IEEE 802.3x, IEEE 802.3z |
|---|---|
| 10G support | Yes |
| Port mirroring | Yes |
| IP routing | Yes |
| Policy-based routing | Yes |
| Routing entries | 512 |
| Active link detection | Yes |
| Broadcast storm control | Yes |
| Ethernet LAN data rates | 10,100,1000,10000 Mbit/s |
| Flow control support | Yes |
| Head-of-line (HOL) blocking | Yes |
| IPv4 routes | 48 |
| IPv6 routes | 48 |
| Link aggregation | Yes |
| Rate limiting | Yes |
| Spanning tree protocol | Yes |
| VLAN support | Yes |
| Virtual LAN features | Port-based VLAN, Private VLAN, Tagged VLAN, VLAN mapping, Voice VLAN |
| Number of VLANs | 4000 |
Data transmission
| MAC address table | 16000 entries |
|---|---|
| Switching capacity | 128 Gbit/s |
| Forwarding rate | 95.23 Mpps |
| Store-and-forward | Yes |
| Static route | Yes |
| Number of static routes | 48 |
| Jumbo frames support | Yes |
| Jumbo frames | 9000 |
| Packet buffer memory | 12 MB |
Security
| DHCP features | DHCP client, DHCP relay, DHCP server |
|---|---|
| Access Control List (ACL) | Yes |
| IGMP proxy | Yes |
| IGMP snooping | Yes |
| Authentication | Auto VLAN, Guest VLAN, MAC-based authentication, Port-based authentication |
| Authentication type | AAA, RADIUS, TACACS+ |
| BPDU filtering/protection | Yes |
| IP-MAC-Port binding | Yes |
| Loop protection | Yes |
| MAC address filtering | Yes |
| Password protection | Yes |
| Queue scheduling algorithms | SP, WRR+SP, Weighted Round Robin (WRR) |
| SSH/SSL support | Yes |
Multicast features
| Multicast support | Yes |
|---|---|
| Multicast Listener Discovery (MLD) snooping | Yes |
Protocols
| Management protocols | SNMPv1/v2c/v3, SNTP |
|---|---|
| GARP VLAN Registration Protocol (GVRP) | Yes |
| IPv4 & IPv6 features | IPv4/IPv6 access-control list (ACL), IPv6 Telnet, IPv6 ping, IPv6 tracert |
Design
| Rack mounting | Yes |
|---|---|
| Form factor | 1U |
| Product colour | Black |
| LED indicators | Yes |
| Number of fans | 1 fan(s) |
Power
| Power source | AC |
|---|---|
| Power supply included | Yes |
| Redundant power supply (RPS) support | Yes |
| Number of power supply units | 2 |
| Power consumption (max) | 35.7 W |
Power over Ethernet (PoE)
| Power over Ethernet (PoE) | No |
|---|
Operational conditions
| Operating temperature (T-T) | 0 - 45 °C |
|---|---|
| Storage temperature (T-T) | -40 - 70 °C |
| Operating relative humidity (H-H) | 10 - 90% |
| Storage relative humidity (H-H) | 5 - 90% |
| Heat dissipation | 121.81 BTU/h |
Weight & dimensions
| Width | 440 mm |
|---|---|
| Depth | 220 mm |
| Height | 44 mm |
Packaging content
| Cables included | AC |
|---|---|
| Manual | Yes |
| Rack mount kit | Yes |
Packaging data
| Package width | 528 mm |
|---|---|
| Package depth | 336 mm |
| Package height | 100 mm |
| Package weight | 2.97 kg |
More network switches deals in United Kingdom
All network switches deals£919.02– £1,119.99
Compare 3 prices£121.90– £140.99
Compare 3 pricesQNAP
QSW-L2110-10T network switch Managed Desktop Black
Model QSW-L2110-10T
- Type
- Desktop
- Weight
- 690 g
- Colour
- Black
£189.95– £222.99
Compare 3 pricesQNAP
QSW-L2110-2S8T network switch Managed Desktop Black
Model QSW-L2110-2S8T
- Type
- Desktop
- Weight
- 630 g
- Colour
- Black
£134.06– £153.99
Compare 3 prices£1,567.66– £1,918.99
Compare 3 pricesTP-Link
Omada ES206X-M2 network switch Managed L2
Model ES206X-M2
- Type
- Desktop/Wall-Mounting
- Weight
- 520 g
- Colour
- Black
£58.99
See the offerTP-Link
ES206XPP-M2 network switch Managed L2
Model ES206XPP-M2
- Type
- Desktop/Wall-Mounting
- Colour
- Black
- Switch type
- Managed
£106.82– £129.99
Compare 3 prices






